function init(hero) {
    hero.setName("Batman");
    hero.setVersion("Bruce Wayne");
    hero.setTier(6);
    
    hero.setHelmet("item.superhero_armor.piece.cowl");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.setPrimaryEquipment("fiskheroes:grappling_gun");
    hero.addEquipment("fiskheroes:prometheus_sword");
    hero.addEquipment("fiskheroes:compound_bow");
    hero.addEquipment("fiskheroes:quiver");
    
    hero.addPowers("fiskheroes:batsuit", "fiskheroes:archery");
    hero.addAttribute("PUNCH_DAMAGE", 6.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 3.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1);
    
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);
    hero.addKeyBind("HORIZONTAL_BOW", "key.horizontalBow", 3);
    
    hero.setHasPermission(hasPermission);
    hero.setHasProperty(hasProperty);
}

function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}

function hasProperty(entity, property) {
    return property == "MASK_TOGGLE";
}
